import { axios } from '@/utils/request'


//  销售退货明细 删除
export const salesReturnDetailDel = (params) => {
  return axios({
    url: `/salesReturn/detail/delete/${params.salesReturnDetailSn}`,
    method: 'get'
  })
}

//  新增销售退货明细
export const salesReturnDetailInsert = (params) => {
  return axios({
    url: '/salesReturn/detail/insert',
    data: params,
    method: 'post'
  })
}

// 修改销售退货明细返库数量
export const updateBackStockQty = (params) => {
  return axios({
    url: '/salesReturn/detail/updateBackStockQty',
    data: params,
    method: 'post'
  })
}

// 分页查询销售退货明细
export const salesReturnDetailList = (params) => {
  const url = `/salesReturn/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 修改销售退货明细数量
export const salesReturnDetailUpdateQty = (params) => {
  return axios({
    url: '/salesReturn/detail/updateQty',
    data: params,
    method: 'post'
  })
}

// 修改销售退货明细退货原因
export const salesReturnDetailUpdateReason = (params) => {
  return axios({
    url: '/salesReturn/detail/updateReason',
    data: params,
    method: 'post'
  })
}
// 修改销售退货明细实收数量
export const salesReturnDetailUpdateReceiveQty = (params) => {
  return axios({
    url: '/salesReturn/detail/updateReceiveQty',
    data: params,
    method: 'post'
  })
}
// 修改销售退货明细返库数量
export const salesReturnDetailUpdateBackStockQty = (params) => {
  return axios({
    url: '/salesReturn/detail/updateBackStockQty',
    data: params,
    method: 'post'
  })
}

// 客服确认单行保存
export const updateByCustomerService = (params) => {
  return axios({
    url: '/salesReturn/detail/updateByCustomerService',
    data: params,
    method: 'post'
  })
}

// 客服设置退货单价
export const setReturnPrice = (params) => {
  return axios({
    url: '/salesReturn/detail/setReturnPrice',
    data: params,
    method: 'post'
  })
}

// 客服删除销售退货明细
export const deleteByCustomerService = (params) => {
  return axios({
    url: `/salesReturn/detail/deleteByCustomerService/${params.salesReturnDetailSn}`,
    method: 'get'
  })
}